# This file is the entry point for drcsim users.  It should establish all environment necessary to use the drcsim.

# Step 1: get ROS configuration.  Special case for different shells, to pull in command-line completion.
# if [ $SHELL = /bin/bash ]; then
#   . /opt/ros/groovy/setup.bash
# elif [ $SHELL = /bin/zsh ]; then
#   . /opt/ros/groovy/setup.zsh
# else
#   . /opt/ros/groovy/setup.sh 
# fi

# Step 2: modify ROS configuration.
# Add each of our installed model directories to ROS_PACKAGE_PATH, so that ROS tools can locate resources stored within them.  
# We don't just add the top 'models' directory because it contains a 'manifest.xml', which stops rospack in its tracks.
# for d in `find /opt/ros/groovy/share/drcsim_model_resources/gazebo_models/environments -mindepth 1 -maxdepth 1 -type d | tr "\n" ":"`; do export ROS_PACKAGE_PATH=$d$ROS_PACKAGE_PATH; done
# for d in `find /opt/ros/groovy/share/drcsim_model_resources-/gazebo_models/environments -mindepth 1 -maxdepth 1 -type d | tr "\n" ":"`; do export ROS_PACKAGE_PATH=$d$ROS_PACKAGE_PATH; done

# Also add our 'ros' directory to RPP; it contains utility packages with things like launch files
# export ROS_PACKAGE_PATH=::$ROS_PACKAGE_PATH

# Make AtlasSimInterface plugins visible to the runtime loader
export LD_LIBRARY_PATH=/opt/ros/groovy/lib/AtlasSimInterface_1.1.1:$LD_LIBRARY_PATH
# Make Gazebo plugins visible to the runtime loader
export LD_LIBRARY_PATH=/opt/ros/groovy/lib/drcsim_gazebo_plugins/plugins:$LD_LIBRARY_PATH
# Make Gazebo-ROS plugins visible to the runtime loader; they'll be pulled in by ROS via pluginlib
export LD_LIBRARY_PATH=/opt/ros/groovy/lib/drcsim_gazebo_ros_plugins/plugins:$LD_LIBRARY_PATH
# Export Gazebo plugin library directories
export LD_LIBRARY_PATH=:$LD_LIBRARY_PATH

# Step 3: get Gazebo configuration.
if [ -f /usr/share/gazebo/setup.sh ]; then
  . /usr/share/gazebo/setup.sh 
elif [ -f /usr/share/gazebo/setup.sh ]; then
  . /usr/share/gazebo/setup.sh  
else
  echo "Warning: failed to find Gazebo's setup.sh.  You will need to source it manually."
fi

# Step 4: modify Gazebo configuration.
export GAZEBO_RESOURCE_PATH=/opt/ros/groovy/share/drcsim_model_resources:$GAZEBO_RESOURCE_PATH
# export GAZEBO_RESOURCE_PATH=/opt/ros/groovy/share/drcsim_model_resources-:$GAZEBO_RESOURCE_PATH
export GAZEBO_RESOURCE_PATH=/opt/ros/groovy/share/drcsim_model_resources/worlds:$GAZEBO_RESOURCE_PATH
# export GAZEBO_RESOURCE_PATH=/opt/ros/groovy/share/drcsim_model_resources-/worlds:$GAZEBO_RESOURCE_PATH

export GAZEBO_MODEL_PATH=/opt/ros/groovy/share:$GAZEBO_MODEL_PATH
# export GAZEBO_MODEL_PATH=/opt/ros/groovy/share/sandia_hand_description:$GAZEBO_MODEL_PATH
# export GAZEBO_MODEL_PATH=/opt/ros/groovy/share/irobot_hand_description:$GAZEBO_MODEL_PATH
# export GAZEBO_MODEL_PATH=/opt/ros/groovy/share/multisense_sl_description:$GAZEBO_MODEL_PATH
# export GAZEBO_MODEL_PATH=/opt/ros/groovy/share/atlas_description:$GAZEBO_MODEL_PATH
export GAZEBO_MODEL_PATH=/opt/ros/groovy/share/drcsim_model_resources/gazebo_models/environments:$GAZEBO_MODEL_PATH
# export GAZEBO_MODEL_PATH=/opt/ros/groovy/share/drcsim_model_resources-/gazebo_models/environments:$GAZEBO_MODEL_PATH

export GAZEBO_PLUGIN_PATH=/opt/ros/groovy/lib/drcsim_gazebo_plugins/plugins:$GAZEBO_PLUGIN_PATH
export GAZEBO_PLUGIN_PATH=/opt/ros/groovy/lib/drcsim_gazebo_ros_plugins/plugins:$GAZEBO_PLUGIN_PATH

# this was needed for lib_gazebo_gpu_laser.so dependency on libGpuRayPlugin.so, might be doing something wrong in cmake?
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GAZEBO_PLUGIN_PATH
